Bug 120255 - up2date not handling renamed package
up2date not handling renamed package
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 08:05 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 17:21:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-07 08:05:01 EDT
Description of problem:

up2date does not currently handle the situation where a package is
renamed.  This may require something stored on the server to indicate
that the renaming has taken place.

Sometimes it is necessary to rename a package or set of packages.  Two
recent examples are:

1.  XFree86-* was replaced by xorg-x11-*  this was not just a package
renaming but the effect is the same.

2. flac use to consist of flac, flac-devel, and flac-xmms.  This was
recently changed to flac, flac-devel, and xmms-flac with xmms-flac
simply being a renamed flac-xmms.  up2date did not pick this up.

Unless a use knows of the name change (xorg-x11 was obvious but
xmms-flac was not), up2date will give no indication of the change and
the user must handle the updating manually.
Comment 1 Adrian Likins 2004-04-07 12:39:54 EDT
This has been included in up2date for a while. If 
a package correctly "obsoletes" the old package
this works. 

As far as I know, this works for yum repos as well.
It seemed to work for me with the xorg example
cases above (as well as s/redhat-config/system-config)
when updating fc2 against rawhide. 
Comment 2 Gene Czarcinski 2004-04-07 13:08:30 EDT
OK, I just checked the flac.spec file and xmms-flac Obsoletes flac-xmms

Changing to a regular bug report.

Note You need to log in before you can comment on or make changes to this bug.